=== PBLAS/CMakeLists.txt ===
add_subdirectory(SRC)
add_subdirectory(TESTING)
add_subdirectory(TIMING)
