=== debian/changelog ===
scalapack (2.1.0-4) unstable; urgency=medium

  * Team upload.
  * retrospectively place Adam C. Powell, IV's name in quotes
  * override lintian's breakout-link warning for scalapack-mpi-test.
    Test binaries in usr/lib look locally for test input files which
    are stored in usr/share, hence links are needed.
  * inject CMAKE_LIBRARY_ARCHITECTURE into
    scalapack-targets-none.cmake for arch-dep packages
    (libscalapack-*-dev) not arch-indep.
  * don't run full configure/build/test for arch-indep builds
    (scalapack-test-common does not need arch-dep binaries)

 -- Drew Parsons <dparsons@debian.org>  Mon, 03 Aug 2020 12:20:27 +0800

scalapack (2.1.0-3) unstable; urgency=medium

  * Team upload.
  * facilitate MPI tests using OMPI_MCA_plm_rsh_agent (set to false)
    not OMPI_MCA_orte_rsh_agent (which is deprecated)
  * build with fortran flag -std=legacy (in FFLAGS), applying
    upstream's method for managing builds with gcc-10. Closes: #957774.
  * replace arch-triplet with cmake's CMAKE_LIBRARY_ARCHITECTURE in
    installed scalapack-targets-none.cmake
  * Standards-Version: 4.5.0
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Mon, 03 Aug 2020 01:44:46 +0800

scalapack (2.1.0-2) unstable; urgency=medium

  * Team upload.
  * upload new upstream release to unstable

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Dec 2019 17:48:16 +1100

scalapack (2.1.0-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release: updates version number in code.
    - update ABI to libscalapack-openmpi.so.2.1 with package
      libscalapack-openmpi2.1 (likewise libscalapack-mpich2.1)
  * set multiarch headers
    - Multi-Arch: same: libscalapack-mpi-dev,
       libscalapack-mpich-dev, libscalapack-openmpi-dev,
       libscalapack-openmpi2.1, libscalapack-mpich2.1,
       scalapack-mpi-test
    - Multi-Arch: foreign: scalapack-test-common

 -- Drew Parsons <dparsons@debian.org>  Thu, 28 Nov 2019 17:08:45 +0800

scalapack (2.1-1exp1) experimental; urgency=medium

  * Team upload.
  * update debian/watch to
    https://github.com/Reference-ScaLAPACK/scalapack
    (source tarballs are no longer accessible at
    http://www.netlib.org/scalapack/scalapack-2.1.tgz)
  * New upstream release.
    - update debian/copyight: BSD-3-clause
  * debhelper compatibility level 12: debhelper-compat (= 12)
  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Sun, 24 Nov 2019 23:20:38 +0800

scalapack (2.0.2-7) unstable; urgency=medium

  * Team upload.
  * Add mipsel to no-test list (tests pass on some machines,
    but not all)

 -- Drew Parsons <dparsons@debian.org>  Fri, 27 Apr 2018 08:33:16 +0800

scalapack (2.0.2-6) unstable; urgency=medium

  * Team upload.
  * Don't run openmpi3 tests on arches where tests do not exit,
    or take too long to complete. Currently
    ARCH_NO_OPENMPI_TEST_LIST = armel armhf i386 hppa powerpc

 -- Drew Parsons <dparsons@debian.org>  Thu, 26 Apr 2018 15:07:18 +0800

scalapack (2.0.2-5) unstable; urgency=medium

  * Team upload.
  * Fix short description of libscalapack-mpi-dev: supports default
    MPI not (necessarily) MPICH.
  * Patch blacs_testing.patch allows for empty output strings
    when an error occurs.
  * Tests are hardwired to 4 processes, so ignore test failures if
    less than 4 processes are used. Pass MPIEXEC_PREFLAGS to tests,
    with --allow-run-as-root --oversubscribe to enable 4 processes to
    be handled if they are not otherwise available.
  * Standards-Version: 4.1.4
  * Update VCS tags to salsa.debian.org.

 -- Drew Parsons <dparsons@debian.org>  Sun, 22 Apr 2018 17:51:08 +0800
